<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_e608e5b5c4c34a67ba97ef84c1" . "e16199" => base64_decode("Jw=" . "="), "_80453d7bea0ddc48afe3e3" . "c89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24gb" . "WV0aG9kICc="), "_aed8da0f19091214b" . "78f80351048517c" => base64_decode("c3Ryb" . "GVu"), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_6edacb78bd55c5015af27c8ac1f" . "cd9af" => base64_decode("bWV0aG9kX2V4a" . "XN0cw=="), "_7eacce07e2449116f62c" . "9464710c37f7" => base64_decode("cmVzZ" . "XQ="), "_19d1237a619f7b35ad6dbebf025f17" . "c8" => base64_decode("c3RyY21" . "w"), "_c06c961f393742ecfd52b72263a" . "c9470" => base64_decode("aW50" . "dmFs"));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7eacce07e2449116f62" . "c9464710c37f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e8159" . "697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_6edacb78bd55c5015af27c8ac" . "1fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_80453d7bea0dd" . "c48afe3e3c89e0" . "b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e608e5b5c4c34a67ba97e" . "f84c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_aed8da0" . "f1909121" . "4b78f803" . "51048517" . "c"]($value) && !$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_19d1237a619f7b35ad6dbebf025f17" . "c8"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c06c961f393742ecfd52b722" . "63ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_aed8da0f190912" . "14b78f803510485" . "17c"]($value);
    }
}